<?php

namespace Pmg\Includes;

class AdminPage
{

    public function __construct()
    {
        $this->create_page();
        $this->registerOptions();
    }

    // register menu
    public function create_page()
    {
        add_submenu_page(
            'edit.php?post_type=maps',
	        __( 'Puddinq Map Geo settings.', 'pu-map-geo' ),
	        __( 'Settings', 'pu-map-geo' ),
	        'manage_options',
	        'pu-visitor-log',
            array($this, 'pageOutput') //function
        );


    }

    // page output
    public function pageOutput()
    {
        echo '<div class="wrap">';
        echo '<h2>Puddinq Map Geo</h2>';
	    $this->settings->show_navigation();
	    $this->settings->script();
	    $this->settings->show_forms();

        echo '</div>';
    }

    public function registerOptions() {

    	$this->settings = new Settings();

	    // Section: Basic Settings.
	    $this->settings->add_section(
		    array(
			    'id'    => 'puddinq-map-geo-google-api',
			    'title' => __( 'Google api.', 'pu-map-geo' ),
			    'desc' => __( 'get your own google api key ', 'pu-map-geo' ) . '<a href="https://console.developers.google.com/flows/enableapi?apiid=maps_backend,geocoding_backend,directions_backend,distance_matrix_backend,elevation_backend&keyType=CLIENT_SIDE&reusekey=true" target="_blank">Link</a>',
		    )
	    );

	    $this->settings->add_field(
		    'puddinq-map-geo-google-api',
		    array(
			    'id'      => 'google-api',
			    'type'    => 'text',
			    'name'    => __( 'Api key', 'pu-visitor-log' ),
			    'desc'    => __( 'You need get an api key with the link above', 'pu-map-geo' ),
			    'default' => __( 'No key set yet', 'pu-map-geo' )
		    )
	    );

    }

}

